Index: c/src/aclocal/rtems-cpu-subdirs.m4
===================================================================
--- c/src/aclocal/rtems-cpu-subdirs.m4	(revision 1a192398bfff40e7e8f46f3ef872ee289e131fd3)
+++ c/src/aclocal/rtems-cpu-subdirs.m4	(revision 76c03152e110dcb770253b54277811228e8f78df)
@@ -29,4 +29,5 @@
 _RTEMS_CPU_SUBDIR([sparc64],[$1]);;
 _RTEMS_CPU_SUBDIR([v850],[$1]);;
+_RTEMS_CPU_SUBDIR([x86_64],[$1]);;
 *) AC_MSG_ERROR([Invalid RTEMS_CPU <[$]{RTEMS_CPU}>])
 esac
Index: c/src/lib/libbsp/x86_64/Makefile.am
===================================================================
--- c/src/lib/libbsp/x86_64/Makefile.am	(revision 76c03152e110dcb770253b54277811228e8f78df)
+++ c/src/lib/libbsp/x86_64/Makefile.am	(revision 76c03152e110dcb770253b54277811228e8f78df)
@@ -0,0 +1,7 @@
+ACLOCAL_AMFLAGS = -I ../../../aclocal
+
+# Descend into the @RTEMS_BSP_FAMILY@ directory
+_SUBDIRS = @RTEMS_BSP_FAMILY@
+
+include $(top_srcdir)/../../../automake/subdirs.am
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/lib/libbsp/x86_64/acinclude.m4
===================================================================
--- c/src/lib/libbsp/x86_64/acinclude.m4	(revision 76c03152e110dcb770253b54277811228e8f78df)
+++ c/src/lib/libbsp/x86_64/acinclude.m4	(revision 76c03152e110dcb770253b54277811228e8f78df)
@@ -0,0 +1,10 @@
+# RTEMS_CHECK_BSPDIR(RTEMS_BSP_FAMILY)
+AC_DEFUN([RTEMS_CHECK_BSPDIR],
+[
+  case "$1" in
+  amd64 )
+    AC_CONFIG_SUBDIRS([amd64]);;
+  *)
+    AC_MSG_ERROR([Invalid BSP]);;
+  esac
+])
Index: c/src/lib/libbsp/x86_64/amd64/Makefile.am
===================================================================
--- c/src/lib/libbsp/x86_64/amd64/Makefile.am	(revision 76c03152e110dcb770253b54277811228e8f78df)
+++ c/src/lib/libbsp/x86_64/amd64/Makefile.am	(revision 76c03152e110dcb770253b54277811228e8f78df)
@@ -0,0 +1,40 @@
+ACLOCAL_AMFLAGS = -I ../../../../aclocal
+
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../bsp.am
+
+dist_project_lib_DATA = ../../../../../../bsps/x86_64/amd64/start/bsp_specs
+
+noinst_PROGRAMS =
+
+project_lib_DATA = linkcmds
+
+project_lib_LIBRARIES = librtemsbsp.a
+librtemsbsp_a_SOURCES =
+
+# startup
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspfatal-default.c
+#  XXX: We may want a custom bsp_work_area_initialize to detect memory size like
+#  the i386
+#
+# FreeBSD's bootloader may leave a bootinfo structure for the kernel to find later:
+# http://fxr.watson.org/fxr/source/i386/include/bootinfo.h?v=FREEBSD11#L48
+#
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/x86_64/amd64/start/bspstart.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/x86_64/amd64/start/start.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspreset-empty.c
+# clock
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/clock/clock-simidle.c
+# console
+librtemsbsp_a_SOURCES += ../../../../../../bsps/x86_64/amd64/console/console.c
+# timer
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/btimer/btimer-stub.c
+# cache
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/cache/nocache.c
+
+include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
+include $(srcdir)/../../../../../../bsps/x86_64/amd64/headers.am
Index: c/src/lib/libbsp/x86_64/amd64/configure.ac
===================================================================
--- c/src/lib/libbsp/x86_64/amd64/configure.ac	(revision 76c03152e110dcb770253b54277811228e8f78df)
+++ c/src/lib/libbsp/x86_64/amd64/configure.ac	(revision 76c03152e110dcb770253b54277811228e8f78df)
@@ -0,0 +1,19 @@
+## Process this file with autoconf to produce a configure script.
+
+AC_PREREQ([2.69])
+AC_INIT([rtems-c-src-lib-libbsp-x86_64-amd64],[_RTEMS_VERSION],[https://devel.rtems.org/newticket])
+RTEMS_TOP(../../../../../..)
+RTEMS_SOURCE_TOP
+RTEMS_BUILD_TOP
+RTEMS_BSP_LINKCMDS
+
+RTEMS_CANONICAL_TARGET_CPU
+AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.12.2])
+RTEMS_BSP_CONFIGURE
+
+
+RTEMS_BSP_CLEANUP_OPTIONS
+
+# Explicitly list all Makefiles here
+AC_CONFIG_FILES([Makefile])
+AC_OUTPUT
Index: c/src/lib/libbsp/x86_64/configure.ac
===================================================================
--- c/src/lib/libbsp/x86_64/configure.ac	(revision 76c03152e110dcb770253b54277811228e8f78df)
+++ c/src/lib/libbsp/x86_64/configure.ac	(revision 76c03152e110dcb770253b54277811228e8f78df)
@@ -0,0 +1,20 @@
+## Process this file with autoconf to produce a configure script.
+
+AC_PREREQ([2.69])
+AC_INIT([rtems-c-src-lib-libbsp-x86_64],[_RTEMS_VERSION],[https://devel.rtems.org/newticket])
+RTEMS_TOP(../../../../..)
+RTEMS_SOURCE_TOP
+RTEMS_BUILD_TOP
+
+RTEMS_CANONICAL_TARGET_CPU
+AM_INIT_AUTOMAKE([no-define foreign subdir-objects 1.12.2])
+AM_MAINTAINER_MODE
+
+RTEMS_ENV_RTEMSBSP
+RTEMS_PROJECT_ROOT
+
+RTEMS_CHECK_BSPDIR([$RTEMS_BSP_FAMILY])
+
+# Explicitly list all Makefiles here
+AC_CONFIG_FILES([Makefile])
+AC_OUTPUT
